> For the complete documentation index, see [llms.txt](https://docs.indicio.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.indicio.tech/developer/indicio-proven-r/api-reference/oid4vp.md).

# Oid4vp

Endpoints for creating and managing Open ID for verifiable presentations

## Get all presentation definitions.

> This endpoint gets all presentation definitions.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Oid4vp","description":"Endpoints for creating and managing Open ID for verifiable presentations"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/oid4vp/presentation-definitions":{"get":{"summary":"Get all presentation definitions.","description":"This endpoint gets all presentation definitions.","tags":["Oid4vp"],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"created_at":{"type":"string"},"updated_at":{"type":"string"},"pres_def_id":{"type":"string"},"pres_def":{"type":"object"}}}}}}},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}}}}}}
```

## Create a presentation definition.

> This endpoint creates a presentation definition.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Oid4vp","description":"Endpoints for creating and managing Open ID for verifiable presentations"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/oid4vp/presentation-definitions":{"post":{"summary":"Create a presentation definition.","description":"This endpoint creates a presentation definition.","tags":["Oid4vp"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"pres_def":{"type":"object"}}}}}},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"object","properties":{"created_at":{"type":"string"},"updated_at":{"type":"string"},"pres_def_id":{"type":"string"},"pres_def":{"type":"object"}}}}}},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}}}}}}
```

## Get a presentation definition by pres\_def\_id.

> This endpoint gets a presentation definition by pres\_def\_id.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Oid4vp","description":"Endpoints for creating and managing Open ID for verifiable presentations"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/oid4vp/presentation-definitions/{pres_def_id}":{"get":{"summary":"Get a presentation definition by pres_def_id.","description":"This endpoint gets a presentation definition by pres_def_id.","tags":["Oid4vp"],"parameters":[{"in":"path","name":"pres_def_id","required":true,"schema":{"type":"string"},"description":"The pres_def_id for the presentation you would like to get"}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"object","properties":{"created_at":{"type":"string"},"updated_at":{"type":"string"},"pres_def_id":{"type":"string"},"pres_def":{"type":"object"}}}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"500":{"description":"Internal server error"}}}}}}
```

## Delete a presentation definition.

> This endpoint deletes a presentation definition

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Oid4vp","description":"Endpoints for creating and managing Open ID for verifiable presentations"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/oid4vp/presentation-definitions/{pres_def_id}":{"delete":{"summary":"Delete a presentation definition.","description":"This endpoint deletes a presentation definition","tags":["Oid4vp"],"parameters":[{"in":"path","name":"pres_def_id","required":true,"schema":{"type":"string"},"description":"The pres_def_id you would like to delete"}],"responses":{"200":{"description":"Ok"},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}}}}}}
```

## Gets all presentations.

> This endpoint gets all presentations

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Oid4vp","description":"Endpoints for creating and managing Open ID for verifiable presentations"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/oid4vp/presentations":{"get":{"summary":"Gets all presentations.","description":"This endpoint gets all presentations","tags":["Oid4vp"],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"presentation_id":{"type":"string"},"pres_def_id":{"type":"string"},"request_id":{"type":"string"},"state":{"type":"string"},"matched_credentials":{"type":"object"},"verified":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"}}}}}}},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}}}}}}
```

## Get a presentation record by presentation\_id.

> This endpoint gets a presentation record by presentation\_id.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Oid4vp","description":"Endpoints for creating and managing Open ID for verifiable presentations"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/oid4vp/presentations/{presentation_id}":{"get":{"summary":"Get a presentation record by presentation_id.","description":"This endpoint gets a presentation record by presentation_id.","tags":["Oid4vp"],"parameters":[{"in":"path","name":"presentation_id","required":true,"schema":{"type":"string"},"description":"The presentation_id for the presentation you would like to get"}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"object","properties":{"presentation_id":{"type":"string"},"pres_def_id":{"type":"string"},"request_id":{"type":"string"},"state":{"type":"string"},"matched_credentials":{"type":"object"},"verified":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"}}}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"500":{"description":"Internal server error"}}}}}}
```

## Delete a presentation.

> This endpoint deletes a presentation.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Oid4vp","description":"Endpoints for creating and managing Open ID for verifiable presentations"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/oid4vp/presentations/{presentation_id}":{"delete":{"summary":"Delete a presentation.","description":"This endpoint deletes a presentation.","tags":["Oid4vp"],"parameters":[{"in":"path","name":"presentation_id","required":true,"schema":{"type":"string"},"description":"The presentation_id for the presentation you would like to delete"}],"responses":{"200":{"description":"Ok"},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}}}}}}
```

## Create a presentation request.

> This endpoint creates a presentation request.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Oid4vp","description":"Endpoints for creating and managing Open ID for verifiable presentations"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/oid4vp/request":{"post":{"summary":"Create a presentation request.","description":"This endpoint creates a presentation request.","tags":["Oid4vp"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"pres_def_id":{"type":"string"},"vp_formats":{"type":"object"}}}}}},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"object","properties":{"request_uri":{"type":"string"},"request":{"type":"object","properties":{"created_at":{"type":"string"},"updated_at":{"type":"string"},"request_id":{"type":"string"},"pres_def_id":{"type":"string"},"vp_formats":{"type":"object"}}},"presentation":{"type":"object","properties":{"state":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"presentation_id":{"type":"string"},"pres_def_id":{"type":"object"},"request_id":{"type":"object"}}}}}}}},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}}}}}}
```
